Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerEndpoint

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerEndpoint

All Implemented Interfaces:
  com.stc.connector.framework.eway.EwayEndpoint, com.stc.connector.management.STCManagedSlave, java.io.Serializable

Direct Known Subclasses:
  TCPIPEXTServerEndpoint

    public class TCPIPServerEndpoint

extends java.lang.Object
implements com.stc.connector.framework.eway.EwayEndpoint, java.io.Serializable, com.stc.connector.management.STCManagedSlave

Implementatin of EwayEndpoint for TCPIP Server Activations.

Version:
  cvs revision: $Revision: 1.10 $ Last Modified: $Date: 2008/04/23 07:15:22 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`protected TCPIPMonitorData` | `mMonitorData`
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerEndpoint()` Constructor of TCPIPServerEndpoint

Method Summary
`void` | `activation(javax.resource.spi.endpoint.MessageEndpointFactory mef, javax.resource.spi.BootstrapContext aContext, com.stc.configuration.IConfiguration aConfiguration, com.stc.connector.management.util.ObjectReference aMonitor)` Activate eWay endpoint.
`TCPIPServerApplication` | `createTCPIPServerApplication(TCPIPServerApplicationConnection serverAppConn, java.lang.String appName)` Creates TCPIPServerApplication object.
`void` | `deactivation(javax.resource.spi.endpoint.MessageEndpointFactory mef)` Deactivate (terminate) eWay endpoint.
`javax.resource.spi.ActivationSpec` | `getActivationSpec()` Returns the activationSpec.
`javax.resource.spi.BootstrapContext` | `getBootstrapContext()` Returns the bootstrapContext.
`com.stc.connector.framework.util.ConfigurationHelper` | `getConfiguration()` Return the initial configuration.
`javax.resource.spi.endpoint.MessageEndpointFactory` | `getMessageEndpointFactory()` Returns the MessageEndpointFactory.
`com.stc.connector.management.util.ObjectReference` | `getMonitor()` Method getMonitor.
`java.util.Vector` | `getMonitorSchedulerList()`
`java.util.Vector` | `getMonitorTaskList()`
`java.util.Vector` | `getMonitorWorkList()`
`TCPIPServerSocket` | `getTCPIPServer()` Returns the TCPIPServerSocket.
`TCPIPServerGeneralInfo` | `getTCPIPServerGeneralInfo()` Returns the TCPIPServerGeneralInfo.
`TCPIPServerScheduleInfo` | `getTCPIPServerScheduleInfo()` Returns the TCPIPServerScheduleInfo.
`TCPIPServerSocketInfo` | `getTCPIPServerSocketInfo()` Returns the TCPIPServerSocketInfo.
`javax.transaction.xa.XAResource` | `getXAResource()` Get the XAResource from the current active eWay endpoint.
`protected void` | `initializeMsg()` Method initializeMsg.
`void` | `setActivationSpec(javax.resource.spi.ActivationSpec activationSpec)` Sets the activationSpec.
`void` | `setMonitor(com.stc.connector.management.util.ObjectReference aValue)`
`void` | `setTCPIPServerGeneralInfo(TCPIPServerGeneralInfo info)` Sets the TCPIPServerGeneralInfo.
`void` | `setTCPIPServerScheduleInfo(TCPIPServerScheduleInfo info)` Sets the TCPIPServerScheduleInfo.
`void` | `setTCPIPServerSocketInfo(TCPIPServerSocketInfo info)` Sets the TCPIPServerSocketInfo.
`void` | `updateMBeanConnectionStatus(int status)` Updates RA MBean status to indicate the status of the physical server socket connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### mMonitorData

    protected TCPIPMonitorData mMonitorData

Constructor Detail

### TCPIPServerEndpoint

    public TCPIPServerEndpoint()

  Constructor of TCPIPServerEndpoint

Method Detail

### setMonitor

    public void setMonitor(com.stc.connector.management.util.ObjectReference aValue)

  Specified by:
    `setMonitor` in interface `com.stc.connector.management.STCManagedSlave`
  See Also:
    `STCManagedSlave.setMonitor(com.stc.connector.management.util.ObjectReference)`

### getMonitor

    public com.stc.connector.management.util.ObjectReference getMonitor()

  Method getMonitor.

  Returns:
    ObjectReference

### activation

    public void activation(javax.resource.spi.endpoint.MessageEndpointFactory mef,
                           javax.resource.spi.BootstrapContext aContext,
                           com.stc.configuration.IConfiguration aConfiguration,
                           com.stc.connector.management.util.ObjectReference aMonitor)
                    throws javax.resource.ResourceException

  Activate eWay endpoint.

  Specified by:
    `activation` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Parameters:
    `mef` - The MessageEndpointFactory assoicated with the activation.
    `aContext` - The BootstrapContext provided by the container.
    `aConfiguration` - The instance of IConfiguration which contains the information for creating an endpoint activation.
    `aMonitor` - The monitor ObjectReference.
  Throws:
    `javax.resource.NotSupportedException` - upon error.
    `javax.resource.ResourceException`
  See Also:
    `(MessageEndpointFactory, BootstrapContext, IConfiguration, ObjectReference)`

### initializeMsg

    protected void initializeMsg()
                          throws javax.resource.NotSupportedException

  Method initializeMsg.

  Throws:
    `javax.resource.NotSupportedException`

### deactivation

    public void deactivation(javax.resource.spi.endpoint.MessageEndpointFactory mef)

  Deactivate (terminate) eWay endpoint.

  Specified by:
    `deactivation` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Parameters:
    `mef` - The MessageEndpointFactory assoicated with the activation.
  See Also:
    `EwayEndpoint.deactivation(MessageEndpointFactory)`

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws javax.resource.ResourceException

  Get the XAResource from the current active eWay endpoint.

  Specified by:
    `getXAResource` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Returns:
    An XAResource from the active eWay endpoint connection.
  Throws:
    `javax.resource.ResourceException` - upon error.
  See Also:
    `EwayEndpoint.getXAResource()`

### getBootstrapContext

    public javax.resource.spi.BootstrapContext getBootstrapContext()

  Returns the bootstrapContext.

  Returns:
    BootstrapContext

### getMessageEndpointFactory

    public javax.resource.spi.endpoint.MessageEndpointFactory getMessageEndpointFactory()

  Returns the MessageEndpointFactory.

  Returns:
    MessageEndpointFactory

### getConfiguration

    public com.stc.connector.framework.util.ConfigurationHelper getConfiguration()

  Return the initial configuration.

  Returns:
    ConfigurationHelper

### getTCPIPServerGeneralInfo

    public TCPIPServerGeneralInfo getTCPIPServerGeneralInfo()

  Returns the TCPIPServerGeneralInfo.

  Returns:
    TCPIPServerGeneralInfo

### setTCPIPServerGeneralInfo

    public void setTCPIPServerGeneralInfo(TCPIPServerGeneralInfo info)

  Sets the TCPIPServerGeneralInfo.

  Parameters:
    `info` - TCPIPServerGeneralInfo

### getTCPIPServerSocketInfo

    public TCPIPServerSocketInfo getTCPIPServerSocketInfo()

  Returns the TCPIPServerSocketInfo.

  Returns:
    TCPIPServerSocketInfo

### setTCPIPServerSocketInfo

    public void setTCPIPServerSocketInfo(TCPIPServerSocketInfo info)

  Sets the TCPIPServerSocketInfo.

  Parameters:
    `info` - TCPIPServerSocketInfo

### getTCPIPServerScheduleInfo

    public TCPIPServerScheduleInfo getTCPIPServerScheduleInfo()

  Returns the TCPIPServerScheduleInfo.

  Returns:
    TCPIPServerScheduleInfo

### setTCPIPServerScheduleInfo

    public void setTCPIPServerScheduleInfo(TCPIPServerScheduleInfo info)

  Sets the TCPIPServerScheduleInfo.

  Parameters:
    `info` - TCPIPServerScheduleInfo

### getTCPIPServer

    public TCPIPServerSocket getTCPIPServer()

  Returns the TCPIPServerSocket.

  Returns:
    TCPIPServerSocket

### createTCPIPServerApplication

    public TCPIPServerApplication createTCPIPServerApplication(TCPIPServerApplicationConnection serverAppConn,
                                                               java.lang.String appName)
                                                        throws TCPIPApplicationException

  Creates TCPIPServerApplication object.

  Parameters:
    `serverAppConn` - TCPIPServerApplicationConnection instance
    `appName` - Application name
  Returns:
    TCPIPClientApplication object
  Throws:
    `TCPIPApplicationException` - up on an error

### getActivationSpec

    public javax.resource.spi.ActivationSpec getActivationSpec()

  Returns the activationSpec.

  Returns:
    ActivationSpec

### setActivationSpec

    public void setActivationSpec(javax.resource.spi.ActivationSpec activationSpec)

  Sets the activationSpec.

  Parameters:
    `activationSpec` - The activationSpec to set

### getMonitorTaskList

    public java.util.Vector getMonitorTaskList()

  Returns:
    Vector

### getMonitorWorkList

    public java.util.Vector getMonitorWorkList()

  Returns:
    Vector

### getMonitorSchedulerList

    public java.util.Vector getMonitorSchedulerList()

  Returns:
    Vector

### updateMBeanConnectionStatus

    public void updateMBeanConnectionStatus(int status)

  Updates RA MBean status to indicate the status of the physical server socket connection.

  Parameters:
    `status` - Notification Event.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD